//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Progress.h"
#include "Main.h"
#include <mmsystem.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TProgressForm *ProgressForm;
//---------------------------------------------------------------------------
__fastcall TProgressForm::TProgressForm(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TProgressForm::CancelBtnClick(TObject *Sender)
{
    Thread->Suspend();
    if (Application->MessageBox("  ?",
        "", MB_YESNO | MB_ICONWARNING) != IDYES)
    {
        Thread->Resume();
        return;
    }
    Thread->Resume();
    TerminateThread((void *)Thread->Handle, 0);
    delete Thread->pFiles;
    MainForm->Enabled = true;
    Close();
}
//---------------------------------------------------------------------------
void __fastcall TProgressForm::FormShow(TObject *Sender)
{
    ProgressBar->Position = 0;
    NumFiles->Caption = "0  " + Thread->k;
    TimeLabel->Caption = "00:00:00";
    StartTime = timeGetTime();
}
//---------------------------------------------------------------------------
void __fastcall TProgressForm::TimerTimer(TObject *Sender)
{
    char buf[16];
    DWORD Diff = (timeGetTime() - StartTime) / 1000;
    wsprintf(buf, "%02d:%02d:%02d", Diff / 3600,
        (Diff % 3600) / 60, Diff % 60);
    TimeLabel->Caption = buf;
}
//---------------------------------------------------------------------------

