//---------------------------------------------------------------------------

#ifndef ProcsH
#define ProcsH
//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#include <mmsystem.h>

typedef struct tagRIFF_HEADER {
	DWORD dwID;
	DWORD dwSize;
} RIFF_HEADER;

typedef struct tagWAVE_FORMAT_INFO {
	char *pszName;
	WORD wFormat;
} WAVE_FORMAT_INFO;

struct ConvertInfo {
    BOOL ToVox;
    DWORD VoxFreq;
    BOOL Normalize;
    BOOL UseFilter;
    WAVEFORMATEX Fmt;
};

HRESULT ConvertToPCM(const AnsiString &szSrcFile, HWND hwnd, AnsiString &szDestFile, WAVEFORMATEX *pwfx);
BOOL ConvertFile(LPTSTR szSrcFile, LPTSTR szDestFile, ConvertInfo *ci);
BOOL ConvertWAV(LPTSTR szSrcFile, LPTSTR szDestFile, LPWAVEFORMATEX pDestFmt, BOOL Normalize, BOOL UseFilter);
AnsiString SizeToStr(DWORD Size);
AnsiString FormatToStr(LPTSTR FileName);

#endif

